# Created by pyp2rpm-3.3.2
%global pypi_name spyder-kernels
%global srcname spyder_kernels

%define with_tests 0

Name:           python-%{pypi_name}
#
# Do not update to >= 1.0.0, spyder3 requires version < 1.0.0
#
Version:        3.0.5
Release:        %mkrel 1
Summary:        Jupyter kernels for Spyder's console
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/spyder-kernels/
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(cloudpickle)
BuildRequires:  python3dist(ipykernel) >= 4.8.2
BuildRequires:  python3dist(jupyter-client) >= 5.2.3
BuildRequires:  python3dist(pyzmq) >= 17
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(wurlitzer)
BuildRequires:  python3dist(pip)
BuildRequires:  python3dist(wheel)

%description
Provides Jupyter kernels for use with the consoles of Spyder, the Scientific
Python Development Environment. These can launched either through Spyder itself
or in an independent Python session, and allow for interactive or file-based
execution of Python code in different environments, all inside the IDE.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(cloudpickle)
Requires:       python3dist(ipykernel) >= 4.8.2
Requires:       python3dist(jupyter-client) >= 5.2.3
Requires:       python3dist(pyzmq) >= 17
Requires:       python3dist(wurlitzer)

%description -n python3-%{pypi_name}
Provides Jupyter kernels for use with the consoles of Spyder, the Scientific
Python Development Environment. These can launched either through Spyder itself
or in an independent Python session, and allow for interactive or file-based
execution of Python code in different environments, all inside the IDE.

%prep
%autosetup -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files spyder_kernels

%if %{with_tests}
%check
%pytest
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.txt
%doc README.md


%changelog
* Tue Jul 08 2025 papoteur <papoteur> 3.0.5-1.mga10
+ Revision: 2252490
- new version 3.0.5

* Wed Jul 02 2025 umeabot <umeabot> 3.0.3-2.mga10
+ Revision: 2243436
- Mageia 10 Mass Rebuild

* Sat Mar 08 2025 daviddavid <daviddavid> 3.0.3-1.mga10
+ Revision: 2161891
- new version: 3.0.3

* Sun Mar 02 2025 wally <wally> 2.5.0-3.mga10
+ Revision: 2157614
- rebuild for python3.13

* Fri Dec 27 2024 papoteur <papoteur> 2.5.0-2.mga10
+ Revision: 2130491
- add and use pytest

* Fri Feb 23 2024 daviddavid <daviddavid> 2.5.0-1.mga10
+ Revision: 2043614
- new version: 2.5.0

* Fri Feb 23 2024 daviddavid <daviddavid> 2.3.3-2.mga10
+ Revision: 2043612
- rebuild for py3.12

* Wed Sep 07 2022 papoteur <papoteur> 2.3.3-1.mga9
+ Revision: 1884726
- new 2.3.3

* Fri Jun 24 2022 papoteur <papoteur> 2.0.3-4.mga9
+ Revision: 1865745
- Mass Rebuild for dependencies

* Sun Apr 03 2022 umeabot <umeabot> 2.0.3-3.mga9
+ Revision: 1841230
- Mageia 9 Mass Rebuild

* Mon Mar 07 2022 mrambo3501 <mrambo3501> 2.0.3-2.mga9
+ Revision: 1789568
- disable tests which require network access
- BR python3dist(pip) python3dist(wheel)
- update files list
+ tv <tv>
- Rebuild for python-3.10

* Wed May 19 2021 daviddavid <daviddavid> 2.0.3-1.mga9
+ Revision: 1725572
- new version: 2.0.3

* Sun Apr 18 2021 daviddavid <daviddavid> 2.0.1-1.mga9
+ Revision: 1716748
- new version: 2.0.1

* Wed Mar 03 2021 guillomovitch <guillomovitch> 1.10.2-1.mga9
+ Revision: 1697578
- new version 1.10.2

* Wed Jan 06 2021 daviddavid <daviddavid> 1.10.1-1.mga8
+ Revision: 1669257
- new version: 1.10.1 (for spyder3 4.2.1)

* Thu Sep 17 2020 guillomovitch <guillomovitch> 1.9.4-1.mga8
+ Revision: 1627461
- new version 1.9.4

* Sun Feb 16 2020 umeabot <umeabot> 0.4.2-3.mga8
+ Revision: 1534113
- Mageia 8 Mass Rebuild

* Fri Sep 27 2019 daviddavid <daviddavid> 0.4.2-2.mga8
+ Revision: 1447438
- rebuild for python3.8

* Tue Feb 19 2019 wally <wally> 0.4.2-1.mga7
+ Revision: 1368411
- imported package python-spyder-kernels

